Skip to main content
GET
/
auto-transactions
List transactions that were created automatically by auto accounts
curl --request GET \
  --url https://api.platform.dakota.xyz/auto-transactions \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
      "client_id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
      "auto_account_id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
      "destination_id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
      "type": "onramp",
      "status": "timed_out",
      "failure_reason": "string",
      "created_at": 1234567890,
      "updated_at": 1234567890,
      "completed_at": 1234567890,
      "receipt": {
        "imad": "string",
        "omad": "string",
        "input": {
          "amount": "string",
          "asset": "string",
          "network": "string"
        },
        "subtotal": {
          "amount": "string",
          "asset": "string",
          "network": "string"
        },
        "converted": {
          "amount": "string",
          "asset": "string",
          "network": "string"
        },
        "output": {
          "amount": "string",
          "asset": "string",
          "network": "string"
        },
        "exchange_rate": "string",
        "external_fee": {
          "amount": "string",
          "asset": "string",
          "network": "string"
        },
        "dakota_fee": {
          "amount": "string",
          "asset": "string",
          "network": "string"
        },
        "client_fee": {
          "amount": "string",
          "asset": "string",
          "network": "string"
        },
        "gas_fee": {
          "amount": "string",
          "asset": "string",
          "network": "string"
        },
        "payment_reference": "Invoice payment for services"
      },
      "crypto_details": {
        "source_crypto_address": "string",
        "source_network_id": "ethereum-mainnet",
        "destination_crypto_address": "string",
        "destination_network_id": "ethereum-mainnet",
        "deposit_transaction_hash": "string",
        "transaction_hash": "string"
      },
      "provider_id": "dakota",
      "provider_external_id": "txn_123456789",
      "provider_status": "processing"
    }
  ],
  "meta": {
    "total_count": 100,
    "has_more_after": true,
    "has_more_before": false
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

starting_after
string

A cursor for use in pagination. starting_after is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include starting_after=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the next page of the list. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

ending_before
string

A cursor for use in pagination. ending_before is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include ending_before=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the previous page of the list. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

limit
integer
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

Required range: 1 <= x <= 100
auto_account_id
string

Filter transactions by auto account ID KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

destination_id
string

Filter transactions by destination ID KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

status
enum<string>

Filter transactions by status Current status of a transaction.

Available options:
timed_out,
not_started,
in_progress,
awaiting_confirmation,
pending,
processing,
completed,
invalid,
failed,
canceled,
reversed,
rejected,
broadcasted,
pending_return,
returned
type
enum<string>

Filter transactions by type Type of transaction.

Available options:
onramp,
offramp,
swap
Example:

"onramp"

provider_id
string

Filter transactions by provider ID

source_crypto_address
string

Filter transactions by source address

destination_crypto_address
string

Filter transactions by destination address

source_network_id
string

Filter transactions by source network

destination_network_id
string

Filter transactions by destination network

transaction_hash
string

Filter transactions by blockchain transaction hash

start_date
integer

Filter transactions created on or after this date (Epoch timestamp in seconds)

end_date
integer

Filter transactions created on or before this date (Epoch timestamp in seconds)

input_asset
string

Filter transactions by input asset symbol

destination_asset
string

Filter transactions by destination asset symbol

Response

A paginated list of auto account transactions

Wrapper for paginated list responses

data
object[]
required

List of objects returned by the API

meta
object
required

Meta information about the response